Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230650 - /sbin/nologin should not be in /etc/shells
Summary: /sbin/nologin should not be in /etc/shells
Keywords:
Status: CLOSED DUPLICATE of bug 70414
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: setup
Version: 4.3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Phil Knirsch
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-01 22:13 UTC by Jan "Yenya" Kasprzak
Modified: 2015-03-05 01:18 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-24 13:23:41 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Jan "Yenya" Kasprzak 2007-03-01 22:13:49 UTC
Description of problem:
The /etc/shells file is often used by various programs to distinguish between
normal users and pseudoaccounts (see the shells(5) manpage for example). Yet the
default /etc/shells (at least in RHEL4 update 3 and Fedora Core 6) contains
/sbin/nologin, a shell dedicated for pseudoaccounts only. I think /etc/shells
should not contain /sbin/nologin as a valid shell, as this goes directly against
the purpose of both /etc/shells and /sbin/nologin. Or (as the worst possible
solution) the manpage of shells(5) should be corrected.

I am keeping the severity at "medium", but I think it might be a security bug,
as some daemons can mishandle pseudoaccount as a normal user account by looking
whether the account has shell which is listed in /etc/shells.

Version-Release number of selected component (if applicable):
setup-2.5.37-1.3 (and also setup-2.6.1.1-1.fc6).

Comment 1 Phil Knirsch 2007-03-09 16:07:55 UTC
Reviewing.

Read ya, Phil

Comment 2 Phil Knirsch 2007-05-24 13:23:41 UTC
/sbin/nologin is intentional and was introduced quite some time ago as a RFE
specifically for that purpose to have a valid shell that prevents user login.

See also https://bugzilla.redhat.com/bugzilla//show_bug.cgi?id=53963

Thanks,

Read ya, Phil

*** This bug has been marked as a duplicate of 70414 ***


Note You need to log in before you can comment on or make changes to this bug.